## BurnerVolume

BurnerVolume

## Functions

gchar * | burner_volume_get_name ()
GIcon * | burner_volume_get_icon ()
GVolume * | burner_volume_get_gvolume ()
gboolean | burner_volume_is_mounted ()
gchar * | burner_volume_get_mount_point ()
gboolean | burner_volume_umount ()
gboolean | burner_volume_mount ()
void | burner_volume_cancel_current_operation ()

## Types and Values

struct | BurnerVolume

## Description

## Functions

### burner_volume_get_name ()

    gchar *
    burner_volume_get_name (BurnerVolume *volume);

Returns a string that can be displayed to represent the volume²

#### Parameters

volume | BurnerVolume * |

#### Returns

a gchar *. Free when not needed anymore.

### burner_volume_get_icon ()

    GIcon *
    burner_volume_get_icon (BurnerVolume *volume);

Returns a GIcon pointer for the volume.

#### Parameters

volume | BurnerVolume * |

#### Returns

a GIcon*

### burner_volume_get_gvolume ()

    GVolume *
    burner_volume_get_gvolume (BurnerVolume *volume);

Gets the corresponding GVolume for `volume` .

#### Parameters

volume | BurnerVolume |

#### Returns

a GVolume *.

### burner_volume_is_mounted ()

    gboolean
    burner_volume_is_mounted (BurnerVolume *volume);

Returns whether the volume is currently mounted.

#### Parameters

volume | BurnerVolume |

#### Returns

a gboolean. TRUE if it is mounted.

### burner_volume_get_mount_point ()

    gchar *
    burner_volume_get_mount_point (BurnerVolume *volume,
                                   GError **error);

Returns the path for mount point for `volume` .

#### Parameters

volume | BurnerVolume |
error | GError ** |

#### Returns

a gchar *

### burner_volume_umount ()

    gboolean
    burner_volume_umount (BurnerVolume *volume,
                          gboolean wait,
                          GError **error);

Unmount `volume` . If wait is set to TRUE, then block (in a GMainLoop) until the operation finishes.

#### Parameters

volume | BurnerVolume |
wait | gboolean |
error | GError ** |

#### Returns

a gboolean. TRUE if the operation succeeded.

### burner_volume_mount ()

    gboolean
    burner_volume_mount (BurnerVolume *volume,
                         GtkWindow *parent_window,
                         gboolean wait,
                         GError **error);

Mount `volume` . If wait is set to TRUE, then block (in a GMainLoop) until the operation finishes. `parent_window` is used if an authentification is needed. Then the authentification dialog will be set modal.

#### Parameters

volume | BurnerVolume * |
parent_window | GtkWindow * |
wait | gboolean |
error | GError ** |

#### Returns

a gboolean. TRUE if the operation succeeded.

### burner_volume_cancel_current_operation ()

    void
    burner_volume_cancel_current_operation
                                   (BurnerVolume *volume);

Cancels all operations currently running for `volume`

#### Parameters

volume | BurnerVolume * |

## Types and Values

### struct BurnerVolume

    struct BurnerVolume {
    	BurnerMedium parent_instance;
    };